Bug 510638 - lynis cant find programs
lynis cant find programs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lynis (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 20:37 EDT by Mohammed Arafa
Modified: 2009-09-24 04:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 04:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2009-07-09 20:37:05 EDT
Description of problem:

when run from cron i get this:
^[[6C- Checking for password protection...^[[18C [ WARNING ]
/usr/share/lynis/include/tests_kernel: line 109: lsmod: command not found
/usr/share/lynis/include/tests_kernel: line 126: lsmod: command not found
/usr/share/lynis/include/tests_filesystems: line 295: tune2fs: command not found
^[[2C- Checking package database for problems...^[[16C [ WARNING ]
^[[2C- Checking waiting connections...^[[26C [ WARNING ]
/usr/share/lynis/include/tests_firewalls: line 34: lsmod: command not found
^[[4C- Checking expose_php option...^[[26C [ WARNING ]
^[[2C- Checking Syslog-NG consistency^[[27C [ WARNING ]
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/marafa/.gvfs
      Output information may be incomplete.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/marafa/.gvfs
      Output information may be incomplete.
/usr/share/lynis/include/tests_accounting: line 111: auditctl: command not found
^[[2C- Checking selected time source...^[[25C [ WARNING ]


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rakesh Pandit 2009-08-23 01:11:21 EDT
Hello,

This was fixed long back

lynis deps have module-init-tools and e2fsprogs which have these missing commands.

May you update to latest f11 update for lynis and then recheck.

[root@rocky ~]# yum deplist lynis
Loaded plugins: downloadonly, refresh-packagekit
Finding dependencies: 
package: lynis.noarch 1.2.6-1.fc11
  dependency: config(lynis) = 1.2.6-1.fc11
   provider: lynis.noarch 1.2.6-1.fc11
  dependency: /bin/sh
   provider: bash.x86_64 4.0-6.fc11
   provider: bash.x86_64 4.0-7.fc11
package: lynis.noarch 1.2.6-2.fc11
  dependency: e2fsprogs
   provider: e2fsprogs.x86_64 1.41.4-10.fc11
   provider: e2fsprogs.x86_64 1.41.4-12.fc11
  dependency: config(lynis) = 1.2.6-2.fc11
   provider: lynis.noarch 1.2.6-2.fc11
  dependency: module-init-tools
   provider: module-init-tools.x86_64 3.7-9.fc11
  dependency: /bin/sh
   provider: bash.x86_64 4.0-6.fc11
   provider: bash.x86_64 4.0-7.fc11
  dependency: audit
   provider: audit.x86_64 1.7.12-4.fc11
   provider: audit.x86_64 1.7.13-1.fc11
[root@rocky ~]#
Comment 2 Mohammed Arafa 2009-08-23 22:22:23 EDT
this is the output from the cronjob yesterday

Subject: Cron <root@marafa> lynis -c -q -Q #--no-colors

^[[6C- Checking for password protection...^[[18C [ WARNING ]
/usr/share/lynis/include/tests_kernel: line 109: lsmod: command not found
/usr/share/lynis/include/tests_kernel: line 126: lsmod: command not found
/usr/share/lynis/include/tests_filesystems: line 295: tune2fs: command not found
^[[2C- Checking package database for problems...^[[16C [ WARNING ]
^[[6CResult: found multiple vulnerable packages^[[13C [ WARNING ]
/usr/share/lynis/include/tests_firewalls: line 34: lsmod: command not found
^[[4C- Checking expose_php option...^[[26C [ WARNING ]
^[[2C- Checking Syslog-NG consistency^[[27C [ WARNING ]
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/marafa/.gvfs
      Output information may be incomplete.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/marafa/.gvfs
      Output information may be incomplete.
/usr/share/lynis/include/tests_accounting: line 111: auditctl: command not found
^[[2C- Checking selected time source...^[[25C [ WARNING ]


i m using this version: 
Version     : 1.2.6   Release     : 2.fc11
Comment 3 Mohammed Arafa 2009-08-23 22:49:01 EDT
and yum deplist lynis
Loaded plugins: dellsysidplugin2, fastestmirror, presto, protectbase, refresh-packagekit, security, upgrade-helper
Excluding Packages in global exclude list
Finished
0 packages excluded due to repository protections
Finding dependencies:
package: lynis.noarch 1.2.6-1.fc11
  dependency: config(lynis) = 1.2.6-1.fc11
   provider: lynis.noarch 1.2.6-1.fc11
  dependency: /bin/sh
   provider: bash.x86_64 4.0-6.fc11
   provider: bash.x86_64 4.0-7.fc11
package: lynis.noarch 1.2.6-2.fc11
  dependency: e2fsprogs
   provider: e2fsprogs.x86_64 1.41.4-10.fc11
   provider: e2fsprogs.x86_64 1.41.4-12.fc11
  dependency: config(lynis) = 1.2.6-2.fc11
   provider: lynis.noarch 1.2.6-2.fc11
  dependency: module-init-tools
   provider: module-init-tools.x86_64 3.7-9.fc11
  dependency: /bin/sh
   provider: bash.x86_64 4.0-6.fc11
   provider: bash.x86_64 4.0-7.fc11
  dependency: audit
   provider: audit.x86_64 1.7.12-4.fc11
   provider: audit.x86_64 1.7.13-1.fc11
[marafa@marafa ~]$
Comment 4 Rakesh Pandit 2009-08-23 23:46:56 EDT
Re-opening .. will recheck in some time.

Thanks for testing again.
Comment 5 Rakesh Pandit 2009-09-24 04:22:37 EDT
I had long back added

Requires:       e2fsprogs, module-init-tools, audit


to package and I cann't reproduce the bug. I am closing it as NOTABUG. Your list has module-init-tools package installed and it provides lsmod. So, there is something wrong here on your side.

Thanks,

Note You need to log in before you can comment on or make changes to this bug.